#!/bin/bash
#
# exiffixs3is-all
#
# Copyright (c)2007-2012, Akamai Haole, LLC. All rights reserved. You may freely
# use and distribute this script; however, this copyright notice must remain
# intact.
#
#
# Wrapper for exiffixs3is to process all files in the current directory. This
# script should be run from a Terminal window in Mac OS X. Please see the
# exiffixs3is file comments for more information.
#
# The ExifTool package (http://www.sno.phy.queensu.ca/~phil/exiftool/) must be
# properly installed and the location copied into in your PATH variable.
# This is easily accomplished through the installer provided with the
# ExifTool package.  ExifTool is owned and copyrighted by Phil Harvey.
#
# This author does not provide support for ExifTool, but I do encourage users
# of this script to support the ExifTool author/owner by donating to him for
# his excellent Exif utility.
#
# This script was written specifically for Mac OS X.  It was tested with
# Mac OS X 10.4.10 and ExifTool 6.9.9 for Mac OS X.
#
# Revisions:
#   0.1.0 - Neil Sharp - Initial version
#   0.2.0 - Neil Sharp - Updated to work with exiffixs3is v0.2.0
#
# Known Limitations:
#   1) Files must be named IMG_<sequencenumber>.JPG, which is the PowerShot
#      S3 IS default, to be processed.
#


################
# VARIABLES
################

COPYRIGHT=0


################
# MAIN
################

for myfile in ./IMG_*.JPG
do
  if [ $COPYRIGHT -eq 0 ]; then 
    exiffixs3is $myfile
    COPYRIGHT=1
  else
    exiffixs3is $myfile quiet
  fi
done


################
# END OF SCRIPT
################
